XkbTranslateKeySym(3)

NAME
XkbTranslateKeySym - Find the string and symbol associated with a keysym for a given keyboard state

SYNOPSIS
int XkbTranslateKeySym ( dpy , sym_inout , mods , buf , nbytes , extra_rtrn )
      Display *dpy;
      KeySym *sym_inout;
      unsigned int mods;
      char *buf;
      int nbytes;
      int *extra_rtrn;

ARGUMENTS

- dpy
    connection to X server

- sym_inout
    symbol to be translated; result of translation

- mods
    modifiers to apply to sym_inout

- buf
    buffer into which returned string is written

- nbytes
    size of buffer in bytes

- extra_rtrn
    number of bytes overflow

DESCRIPTION

XkbTranslateKeySym applies the transformations specified in mods to the symbol specified by sym_inout. It returns in buf the string, if any, associated with the keysym for the current locale. If the transformations in mods changes the keysym, sym_inout is updated accordingly. If the string returned is larger than nbytes, a count of bytes that does not fit into the buffer is returned in extra_rtrn. XkbTranslateKeySym returns the number of bytes it placed into buf.

RETURN VALUES

buf Returns the string, if any, associated with the keysym for the current locale.